summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-03-11 22:40:36 +0100
committerPatrice Clement <monsieurp@gentoo.org>2017-03-11 22:42:38 +0100
commit6e20e13db213734230ab14175f75d89e536df7cb (patch)
treeecdb9a6a90e8c2c4a9f5f746e5091a00448c3122 /app-vim
parentdev-lang/gnat-gpl: Adding libreadacore mirror (diff)
downloadgentoo-6e20e13db213734230ab14175f75d89e536df7cb.tar.gz
gentoo-6e20e13db213734230ab14175f75d89e536df7cb.tar.bz2
gentoo-6e20e13db213734230ab14175f75d89e536df7cb.zip
app-vim/ferret: avoid file collision with another package.
Gentoo-Bug: https://bugs.gentoo.org/612282 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/ferret/ferret-1.4-r1.ebuild20
1 files changed, 20 insertions, 0 deletions
diff --git a/app-vim/ferret/ferret-1.4-r1.ebuild b/app-vim/ferret/ferret-1.4-r1.ebuild
new file mode 100644
index 00000000000..0245283fabe
--- /dev/null
+++ b/app-vim/ferret/ferret-1.4-r1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: enhanced multi-file search"
+HOMEPAGE="https://github.com/wincent/ferret"
+SRC_URI="https://github.com/wincent/${PN}/archive/${PV}.zip -> ${P}.zip"
+LICENSE="vim"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-arch/unzip"
+
+src_prepare() {
+ default
+ rm -rvf test.rb doc/.gitignore || die
+ # See bug 612282.
+ mv ftplugin/qf.vim ftplugin/${PN}qf.vim || die
+}